%define oname gst-python
%define name gstreamer0.10-python

Name:		%{name}
Version:	0.10.22
Release:	%mkrel 3
Summary:	Python bindings for GStreamer
Summary(de):	Python-Bindings für GStreamer 
Group:		Development/Python
License:	LGPLv2+
URL:            http://gstreamer.freedesktop.org/
Source0:	http://gstreamer.freedesktop.org/src/gst-python/%{oname}-%{version}.tar.xz
Patch0:	gst-python-0.10.17-linkage.patch
Patch1: 	gst-python-0.10.20-fix-python-detection.patch
Patch2:	gst-python-0.10.22-automake-1.13.patch
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root
Requires: 	python
Requires: 	pygtk2.0
BuildRequires:	libgstreamer-plugins-base-devel >= 0.10.26
BuildRequires:	pygtk2.0-devel
Requires: glibc >= 2.20
Obsoletes:  	%name < %version
%py_requires -d

%description
This module contains a binding that allows GStreamer applications
to be written in Python.

%description -l de
Dieses Modul unterstützt das schreiben von GStreamer-Anwendungen 
in Python. 

%package devel
Summary:	Python bindings for GStreamer - development files
Summary(de):	Entwickler Dateien für Gstreamer-Python.
Group:		Development/Python
Requires:	%{name} = %{version}

%description devel
This module contains a binding that allows GStreamer applications
to be written in Python.

Install this to build programs depending on %{name}.

%description devel -l de
Dieses Modul unterstützt das schreiben von GStreamer-Anwendungen 
in Python. 

Installieren Sie dieses Paket um Abhängigkeiten von %{name} zu erstellen.

%prep
%setup -q -n %{oname}-%{version}
%patch0 -p1 -b .linkage
%patch1 -p1 -b .fix-python-detection
%patch2 -p1

autoreconf -fi

%build
%configure2_5x \
	--disable-valgrind

export XML_CATALOG_FILES=/etc/xml/catalog
%make 

%install

rm -rf %{buildroot}
%makeinstall_std

find %{buildroot} -type f -name "*.la" -exec rm -f {} ';'

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS NEWS RELEASE README
%{py_platsitedir}/gst-0.10/
%{py_platsitedir}/gstoption.so
%{py_platsitedir}/pygst*
%_libdir/gstreamer-0.10/libgstpython.so

%files devel
%defattr(-,root,root)
%doc ChangeLog
%{_datadir}/gst-python/
%{_libdir}/pkgconfig/gst-python-0.10.pc
%{_includedir}/gstreamer-0.10/gst


%changelog
* Thu Feb 19 2015 bb <bb> 0.10.22-3pclos2015
-  rebuild glibc

* Sat Aug 10 2013 bb <bb> 0.10.22-2pclos2013
- update

* Sun Nov 25 2012 maik3531 <maik3531 at yahoo.de> 0.10.22-1pclos2012
- 0.10.22



